/*
 * Monster.h
 *
 *  Created on: 15/apr/2013
 *      Author: bertini
 */

#ifndef MONSTER_H_
#define MONSTER_H_

#include "Character.h"

class Monster: public Character {
public:
	Monster(int hp, int a = 4, int d = 4, int t = 0, int f = 1);
	virtual ~Monster();
	virtual int fight(Character& enemy);
	virtual void move(int x, int y);

	int getFear() const {
		return fear;
	}

	void setFear(int fear) {
		this->fear = fear;
	}

	int getTreasure() const {
		return treasure;
	}

	void setTreasure(int treasure) {
		this->treasure = treasure;
	}

protected:
	int treasure;
	int fear;
};

#endif /* MONSTER_H_ */
