/*
 * Weapon.cpp
 *
 *  Created on: 03/apr/2013
 *      Author: bertini
 */

#include "Weapon.h"
#include <iostream>

Weapon::Weapon(int st, bool m) :
		strength(st), magic(m) {
	if (magic)
		std::cout << "This is a magic weapon" << std::endl;
}

int Weapon::useWeapon() {
	int damage = 0;
	damage = Dice::throwDice(6) * strength;
	if (magic) {
		damage += Dice::throwDice(4);
	}

	return damage;
}

bool Weapon::operator ==(Weapon& right) {
	if( this->magic != right.magic )
		return false;
	if( this->strength != right.strength )
		return false;
	return true;
}
